Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.pkcs12
Class SafeBag

    java.lang.Object
      com.mindbright.asn1.ASN1Object
          com.mindbright.asn1.ASN1Structure
              com.mindbright.asn1.ASN1Sequence
                  com.mindbright.security.pkcs12.SafeBag

public final class SafeBag
extends ASN1Sequence

Field Summary
`ASN1SetOf` | `bagAttributes`
`ASN1OID` | `bagId`
`ASN1AnyDefinedBy` | `bagValue`
`static int` | `TYPE_CERTBAG`
`static int` | `TYPE_CRLBAG`
`static int` | `TYPE_KEYBAG`
`static int` | `TYPE_PKCS8_SHROUDED_KEYBAG`
`static int` | `TYPE_SAFECONTENTSBAG`
`static int` | `TYPE_SECRETBAG`
`static int` | `TYPE_UNKNOWN`

Fields inherited from class com.mindbright.asn1.ASN1Structure
`components, count, ofType`

Fields inherited from class com.mindbright.asn1.ASN1Object
`isSet, tag`

Constructor Summary
`SafeBag()`

Method Summary
`int` | `getBagType()`

Methods inherited from class com.mindbright.asn1.ASN1Structure
`addComponent, addComponent, addOptional, addOptional, addOptional, decodeValue, encodeValue, equals, getComponent, getCount, getDecodeComponent, getDefault, getDistinctComponent, hashCode, isOptional, ofType`

Methods inherited from class com.mindbright.asn1.ASN1Object
`decodeValue, getTag, getType, isSet, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

See Also:
  Constant Field Values

### TYPE_KEYBAG

    public static final int TYPE_KEYBAG

See Also:
  Constant Field Values

### TYPE_PKCS8_SHROUDED_KEYBAG

    public static final int TYPE_PKCS8_SHROUDED_KEYBAG

See Also:
  Constant Field Values

### TYPE_CERTBAG

    public static final int TYPE_CERTBAG

See Also:
  Constant Field Values

### TYPE_CRLBAG

    public static final int TYPE_CRLBAG

See Also:
  Constant Field Values

### TYPE_SECRETBAG

    public static final int TYPE_SECRETBAG

See Also:
  Constant Field Values

### TYPE_SAFECONTENTSBAG

    public static final int TYPE_SAFECONTENTSBAG

See Also:
  Constant Field Values

### bagId

    public ASN1OID bagId

### bagValue

    public ASN1AnyDefinedBy bagValue

### bagAttributes

    public ASN1SetOf bagAttributes

Constructor Detail

### SafeBag

    public SafeBag()

Method Detail

### getBagType

    public int getBagType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD